/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sys.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.sys.entity.MainDict;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 字典管理DAO接口
 * @author 马鹏波
 * @version 2018-05-30
 */
@MyBatisDao
public interface MainDictDao extends CrudDao<MainDict> {
    public int updateDelFlag(String DEL_FLAG_DELETE,String id);

    public MainDict getIdByName(String typeName);

    public List<MainDict> getTypeName(@Param("typeName")String typeName, @Param("id")String id);
    List<String> findTypeList(MainDict mainDict);
}